/*Hero section*/
.home-hero-main {
    padding-top: 286px;
    padding-bottom: 344px;
    position: relative;
    overflow: visible;
    background: linear-gradient(135deg,#1C1F2A 0%,#1D2C3F 100%);
}

.home-hero-main::before {
    content: '';
    position: absolute;
    inset: 0;
    background-image: url('../images/hero-background.png');
    background-repeat: no-repeat;
    background-position: center center; 
    background-size: contain; 
    opacity: 0.1;
    z-index: 1;
}

.home-hero-container {
    position: relative;
    margin: 0 auto;
    z-index: 2;
    display: flex;
    flex-direction: column;
    gap: 34px;
    align-items: center;
    color: var(--global-color-1);
}

.home-diamond {
    position: absolute;
    top: auto;
    bottom: -298px; 
    left: 50%;
    transform: translateX(-50%);
    width: 472px;
    height: auto;
    z-index: 3;
}

.home-hero-heading {
    font-family: var(--global-font-family-3);
    font-weight: 100;
    font-size: 81px;
    line-height: 80px;
    font-weight: 100;
    color: var(--global-color-1);
    text-align: center;
    max-width: 700px;
}

.home-hero-text {
    font-family: var(--global-font-family-4);
    color: var(--global-color-1);
    font-weight: 300;
    font-size: 20px;
    line-height: 32px;
    max-width: 700px;
    letter-spacing: 0.3px;
    text-align: center;
}

.home-hero-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 16px 21px;
    border-radius: 12px;
    color: #EEE9DF;
    background-color: rgba(255, 255, 255, 0.1);
    border: 0.6px solid #DDD1C5;
    font-family: var(--global-font-family-7);
    line-height: 23px;
    font-size: 18px;
    font-weight: 400;
    letter-spacing: -0.5%;
    text-decoration: none;
    white-space: nowrap;

}

.home-hero-btn,
.home-hero-btn:visited,
.home-hero-btn:hover,
.home-hero-btn:focus,
.home-hero-btn:active {
    color: #EEE9DF;
    text-decoration: none;
}

.home-hero-btn:hover {
    background-color: transparent;
}

.home-hero-heading {
    opacity: 0;
    transform: translateY(-50px);
    animation: slideDown 0.8s ease-out 0.2s forwards;
}

.home-hero-text {
    opacity: 0;
    animation: fadeIn 0.8s ease-out 1s forwards;
}

.home-hero-btn {
    opacity: 0;
    animation: fadeIn 0.8s ease-out 1.3s forwards;
}

@keyframes slideDown {
    from { opacity: 0; transform: translateY(-50px); }
    to { opacity: 1; transform: translateY(0); }
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

/*About*/
.home-about {
    background-color: var(--global-color-1);
    padding-bottom: 133px;
    position: relative;
    overflow: visible;
    z-index: 10;
}

.home-about-container {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 28px;
    align-items: center;
    position: relative;
}

.home-about-container::before {
    content: '';
    position: absolute;
    top: -200px; 
    left: 50%;
    transform: translateX(-50%);
    width: 472px;
    height: auto;
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 1; 
}

.home-about-container > * {
    position: relative;
    z-index: 2; 
}

.home-about-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}

.home-about-logo {
    padding-top: 9px;
    height: 45px;
    width: 45px;
}

.home-about-heading {
    font-family: var(--global-font-family-3);
    font-size: 70px;
    font-weight: 100;
    color: var(--global-color-3);
    line-height: 98px;
    letter-spacing: -1.2px;
}

.home-about-bold-text {
    font-family: var(--global-font-family-3);
    font-size: 48px;
    font-weight: 100;
    color: var(--global-color-3);
    line-height: 63px;
    letter-spacing: -0.9px;
    text-align: center;
}

.home-about-text {
    color: #1B2632;
    text-align: center;
    font-family: var(--global-font-family-4);
    font-size: 24px;
    font-weight: 300;
    line-height: 31px;
    letter-spacing: -0.5px;
}

/*News*/
.home-news {
    padding-top: 123px;
    padding-bottom: 191px;
    background-color: #fff;
    display: flex;
    justify-content: center;
}

.home-news-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 52.5px;
}

.home-news-top p {
    text-align: center;
    padding-bottom: 5px;
    font-size: 14px;
    letter-spacing: 2.5px;
    color: #1D2C3F;
    line-height: 18px;
    font-family: var(--global-font-family-6);
}

.home-news-cards {
    display: flex; 
    gap: 32px; 
    justify-content: center; 
    flex-wrap: wrap;
}

.news-card { 
    flex: 1 1 300px;
     max-width: 362px;
    }

.line-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px; 
}

.news-text {
    font-family: var(--global-font-family-3);
    font-size: 70px;
    color: #1D2C3F;
    line-height: 98px;
    letter-spacing: -1.1px;
    font-weight: 100;
}

.line {
    position: relative;
    display: inline-block;
    width: 100px;
    height: 1px;
    background-color: #EEE9DF;
}

.left-line::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 6px;
    height: 6px;
    background-color: #EEE9DF;
}

.right-line::after {
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    transform: translate(50%, -50%) rotate(45deg);
    width: 6px;
    height: 6px;
    background-color: #EEE9DF;
}

/*Responsibility*/
.home-responsibility {
    display: flex;
    justify-content: center;
    background-color: var(--global-color-1);
}

.home-responsibility-container {
    display: flex;
    gap: 73px;
}

.home-responsibility-left img {
    margin-top: -100px;
    flex-shrink: 0;
}

.home-responsibility-left {
    flex-shrink: 0;
}

.home-responsibility-right {
    padding-top: 9px;
    padding-left: 17px;
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 31px;
}

.home-responsibility-title {
    color: #1D2C3F;
    font-family: var(--global-font-family-3);
    font-size: 70px;
    letter-spacing: -1.5px;
    line-height: 70px;
}

.home-responsibility-text {
    font-family: var(--global-font-family-4);
    color: #1B2632;
    line-height: 22px;
    letter-spacing: -0.3px;
}

.home-responsibility-btn {
    display: inline-flex;
    align-items: center;
    gap: 5px;
    padding: 12px 24px;
    background-color: #1D2C3F;
    color: #EEE9DF;
    font-size: 12px;
    text-decoration: none;
    width: fit-content;
    white-space: nowrap;
    border-radius: 40px;
    cursor: pointer;
    font-family: var(--global-font-family-2);
    letter-spacing: 1.2px;
}

.home-responsibility-btn:not(:visited):hover {
    background-color: #16233B;
}

.home-responsibility-btn:visited {
    color: var(--global-color-1);
}

/*Benefits*/
.home-benefits {
    padding-top: 105px;
    padding-bottom: 130.5px;
    display: flex;
    justify-content: center;
    background-color: var(--global-color-1);
    line-height: 23px;
    letter-spacing: 1.2px;
}

.home-benefits-container {
    display: flex;
    justify-content: space-between;
    gap: 32px;
}

.home-benefits-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 45px;
    padding-right: 45px;
}

.home-benefits-number {
    color:#1F2844B3;
    font-family: var(--global-font-family-3);
    font-size: 96px;
    line-height: 112px;
    letter-spacing: -5px;
}

.home-benefits-text {
    text-align: center;
    color: #1F2844B3;
    font-family: var(--global-font-family-4);
    font-size: 12px;
    line-height: 17px;
    letter-spacing: -0.1px;
}

@media (max-width: 1024px) {
    .home-hero-main {
        height: auto;
        padding-top: 200px;
        padding-bottom: 200px;
        padding-left: 16px;
        padding-right: 16px;
    }
    .home-hero-container {
        width: 100%;
        max-width: 100%;
        gap: 28px;
        align-items: center;
        text-align: center;
    }
    .home-hero-heading {
        font-size: 48px;
        line-height: 52px;
        max-width: 100%;
    }
    .home-hero-text {
        font-size: 18px;
        line-height: 28px;
        max-width: 100%;
    }
    .home-hero-btn {
        font-size: 14px;
        line-height: 18px;
        padding: 14px 16px;
    }
    .home-diamond {
        width: 320px;
        bottom: -200px;
    }
    .home-about {
        padding-left: 16px;
        padding-right: 16px;
        padding-bottom: 96px;
    }
    .home-about-container {
        width: 100%;
        max-width: 100%;
        gap: 24px;
        align-items: center;
        text-align: center;
    }
    .home-about-container::before {
        top: -140px;
        width: 320px;
    }
    .home-about-heading {
        font-size: 42px;
        line-height: 52px;
        letter-spacing: -0.6px;
    }
    .home-about-bold-text {
        font-size: 28px;
        line-height: 38px;
        letter-spacing: -0.4px;
    }
    .home-about-text {
        font-size: 18px;
        line-height: 28px;
        letter-spacing: -0.2px;
    }
    .home-news-container {
        width: 100%;
        max-width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 40px;
        text-align: left;
    }

    .home-news-top {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 12px;
    }

    .home-news-top p {
        font-size: 14px;
        letter-spacing: 1.2px;
        text-align: center;
    }

    .line-wrapper {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 12px;
        width: 100%;
    }

    .line {
        flex: 1;
        max-width: 60px;
    }

    .news-text {
        font-size: 32px;
        line-height: 40px;
        text-align: center;
    }

    .home-news-cards {
        width: 100%;
        display: flex;
        flex-direction: column;
        gap: 24px;
        align-items: center;
    }

    .home-news-cards > * {
        width: 100%;
        max-width: 420px;
    }

    .home-responsibility-container {
        width: 100%;
        max-width: 100%;
        flex-direction: column;
        align-items: center;
        gap: 40px;
        text-align: center;
    }

    .home-responsibility-left {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .home-responsibility-left img {
        margin-top: 0;
        max-width: 100%;
        height: auto;
    }

    .home-responsibility-right {
        padding-top: 0;
        align-items: center;
        gap: 24px;
    }

    .home-responsibility-title {
        font-size: 40px;
        line-height: 46px;
        letter-spacing: -0.8px;
        text-align: center;
    }

    .home-responsibility-text {
        font-size: 16px;
        line-height: 24px;
        text-align: center;
        max-width: 600px;
    }

    .home-responsibility-btn {
        margin-top: 8px;
    }

    
    .home-benefits {
        padding-top: 64px;
        padding-bottom: 64px;
        padding-left: 16px;
        padding-right: 16px;
    }

    .home-benefits-container {
        flex-direction: column;
        align-items: center;
        gap: 40px;
        width: 100%;
        max-width: 100%;
    }

    .home-benefits-card {
        padding-left: 0;
        padding-right: 0;
        max-width: 320px;
    }

    .home-benefits-number {
        font-size: 64px;
        line-height: 72px;
        letter-spacing: -3px;
        text-align: center;
    }

    .home-benefits-text {
        font-size: 12px;
        line-height: 18px;
        text-align: center;
    }

}

@media (max-width: 480px) {

    .home-hero {
        padding-top: 180px;
        padding-bottom: 180px;
    }

    .home-hero-heading {
        font-size: 36px;
        line-height: 42px;
    }

    .home-hero-text {
        font-size: 16px;
        line-height: 26px;
    }

    .home-diamond {
        width: 260px;
        bottom: -165px;
    }

    .home-about {
        padding-bottom: 72px;
    }

    .home-about-container::before {
        top: -110px;
        width: 260px;
    }

    .home-about-heading {
        font-size: 34px;
        line-height: 42px;
    }

    .home-about-bold-text {
        font-size: 22px;
        line-height: 32px;
    }

    .home-about-text {
        font-size: 16px;
        line-height: 26px;
    }

    .home-about-logo {
        
        width: 36px;
        height: 36px;
    }

    .home-news {
        padding-top: 71px;
        padding-bottom: 171px;
    }

    .news-text {
        font-size: 36px;
        line-height: 34px;
    }

    .line {
        max-width: 40px;
    }

    .home-news-cards > * {
        max-width: 100%;
    }

    .home-responsibility-left img {
        margin-top: -80px;
    }

    .home-responsibility-title {
        font-size: 32px;
        line-height: 38px;
    }

    .home-responsibility-text {
        font-size: 15px;
        line-height: 22px;
    }

    .home-benefits-container {
        gap: 64px;
    }

    .home-benefits-number {
        font-size: 56px;
        line-height: 64px;
    }

    .home-benefits-text {
        font-size: 11px;
        line-height: 16px;
    }
}
